#!/bin/bash

LNG_PAIR=$1
SIZE=$2

TEST_SIZE=$(wc -l < data/alignment/$LNG_PAIR/$LNG_PAIR.alignment)

tail -n $(($TEST_SIZE + $SIZE)) data/fast_align/$LNG_PAIR > fast_align/outputs/tmp

./fast_align/build/fast_align -i fast_align/outputs/tmp -d -o -v > fast_align/outputs/$LNG_PAIR.$SIZE.fw
./fast_align/build/fast_align -i fast_align/outputs/tmp -d -o -v -r > fast_align/outputs/$LNG_PAIR.$SIZE.bw
./fast_align/build/atools -i fast_align/outputs/$LNG_PAIR.$SIZE.fw -j fast_align/outputs/$LNG_PAIR.$SIZE.bw -c grow-diag-final-and > fast_align/outputs/$LNG_PAIR.$SIZE.final
tail -n +$(($SIZE + 1)) fast_align/outputs/$LNG_PAIR.$SIZE.final > fast_align/outputs/$LNG_PAIR.$SIZE.test

python3 eval_word_alignment.py data/alignment/$LNG_PAIR/$LNG_PAIR.alignment fast_align/outputs/$LNG_PAIR.$SIZE.test | tee fast_align/outputs/$LNG_PAIR.$SIZE.eval
